<template>
	<view class="UserAgreement">
		<!-- <view class="title"><text>用户协议</text></view> -->
		<view class="content" v-html="content">
			
		</view>
	</view>
</template>

<script>
	export default{
		data(){
			return{
				content:'',
			}
		},
		onLoad(){
			this.getAgreement()
		},
		methods:{
			// 获取用户协议
			getAgreement(){
				this.$loading();
				this.$api.document.agreement().then(res=>{
					console.log(res,"用户协议")
					if(res.code==0){
						this.content=res.data.value.agreement
					}
					this.$hideLoading();
				}).catch(err=>{
					console.log(err)
					this.$hideLoading();
				})
			}
		}
	}
</script>

<style lang="scss" scoped>
	$pageColor:#F9F9F9;
	$bgColor:#FFFFFF;
	.UserAgreement{
		height: 100%;
		background: $bgColor;
	}
	.title{
		height: 82rpx;
		width: 750rpx;
		display: flex;
		align-items: center;
		justify-content: center;
		text{
			font-size: 32rpx;
			font-family: PingFang-SC-Bold, PingFang-SC;
			font-weight: bold;
			color: #333333;
		}
	}
	.content{
		padding: 0 30rpx;
		view{
			margin-bottom: 24rpx;
			text{
				font-size: 28rpx;
				font-family: PingFang-SC-Bold, PingFang-SC;
				font-weight: bold;
				color: #333333;
			}
		}
		
	}
</style>